SDL_PIXELLAYOUT(3)

NAME
SDL_PIXELLAYOUT - A macro to retrieve the layout of an SDL_PixelFormat .

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_PIXELLAYOUT(format)  (((format) >> 16) & 0x0F)

DESCRIPTION
This is usually a value from the SDL_PackedLayout

enumeration, or zero if a layout doesn't make sense for the format type.

RETURN VALUE
Returns the layout of format .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.